Subject: Re: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Michael Dixon <[email-masked]>
Date: Fri, 8 Nov 2019 16:33:23 -0500

Thanks so much everyone.

I was able to build from source. I had the same libxml/tree.h error as Nathaniel.

The crash error I got was the same, but before I waste any more of your time, I wanted to share that I set up a Catalina virtual machine and installed via brew cask and did NOT get the crash, even without providing full disk access to ruby, Emacs.app, etc.

This leads me to believe it my problem isn’t specific to Emacs, but rather something else unique to my environment, though I can’t think of what that might be.

> On Nov 8, 2019, at 2:47 PM, Alan Third <[email-masked]> wrote:
> 
> On Thu, Nov 07, 2019 at 09:06:43PM -0800, Nathaniel Bass wrote:
>> I tried and before I got to testing the patch I ran into an issue building
>> Emacs on macOS 10.15 (aka Catalina).
>> 
>> When I run make I get the following error:
>> 
>> xml.c:26:10: fatal error: 'libxml/tree.h' file not found
>> #include <libxml/tree.h>
>>         ^~~~~~~~~~~~~~~
>> 1 error generated.
> 
> Hi Nathaniel, thanks for helping out!
> 
> The libxml issue is a known problem with homebrew installs. Let me
> know if you’re not using homebrew.
> 
> To work around it I suggest making sure libxml2 is installed through
> homebrew and running this before configure:
> 
>    export PKG_CONFIG_PATH="`brew --prefix libxml2`/lib/pkgconfig:$PKG_CONFIG_PATH"
> 
> -- 
> Alan Third